Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version12

# Class V12ParameterConverter

java.lang.Object
org.firebirdsql.gds.ng.AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>
org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter
org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter
org.firebirdsql.gds.ng.wire.version12.V12ParameterConverter

All Implemented Interfaces:
  `ParameterConverter<WireDatabaseConnection,WireServiceConnection>`

Direct Known Subclasses:
  `V13ParameterConverter`

public class V12ParameterConverter extends V11ParameterConverter
Implementation of `ParameterConverter` for the version 12 protocol.

Adds support for `isc_dpb_utf8_filename` and encodes all string properties in UTF-8.

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `V12ParameterConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DatabaseParameterBuffer`
  `createDatabaseParameterBuffer(WireDatabaseConnection connection)`
  `protected ServiceParameterBuffer`
  `createServiceParameterBuffer(WireServiceConnection connection)`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter

  `addProcessId, addProcessName, populateDefaultProperties`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter

  `populateAuthenticationProperties`

  ### Methods inherited from class org.firebirdsql.gds.ng.AbstractParameterConverter

  `populateDefaultProperties, toDatabaseParameterBuffer, toServiceParameterBuffer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### V12ParameterConverter

    public V12ParameterConverter()

- ## Method Details

  - ### createDatabaseParameterBuffer

    protected DatabaseParameterBuffer createDatabaseParameterBuffer(WireDatabaseConnection connection)
    Overrides:
      `createDatabaseParameterBuffer` in class `AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>`

  - ### createServiceParameterBuffer

    protected ServiceParameterBuffer createServiceParameterBuffer(WireServiceConnection connection)
    Overrides:
      `createServiceParameterBuffer` in class `AbstractParameterConverter<WireDatabaseConnection,WireServiceConnection>`